<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Customer Print";
$file = "customer_print.php";
$mgrpcode = "042";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];
    $type = $_POST['type'];

    $namecond    = "";
    $countrycond = "";
    $citycond    = "";
    $typecond    = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($type)) {
        $typecond = " AND `tenanttype`='$type' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
//    $getpmain = mysqli_query($conn, "SELECT a.*,b.code, b.orderby FROM `$maindb` a, building b WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ORDER BY NAME")or die(mysqli_error($conn));
    $getpmain = mysqli_query($conn, "SELECT name , tenanttype, add1 ,add2 , add3 , city , pin , tel , email FROM `$maindb` WHERE 
                                     grpcode='$mgrpcode' $namecond $citycond $countrycond $typecond ORDER BY name ")or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php");
            ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th width="3%">Sr</th>
                            <th width="25%">Name</th>
                            <th width="10%">Tenant Type</th>
                            <th width="25%">Address</th>
                            <th width="6%">City</th>
                            <!--<th width="16%">Building</th>-->
                            <th width="4%">Pin</th>
                            <th width="8%">Tel</th>
                            <th width="5%">Email</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
//
//                            $getbldg = mysqli_query($conn, "SELECT name from building where code = '$pmain[building]'") or die(mysqli_error($conn));
//                            $fbldg = mysqli_fetch_array($getbldg);
//                            
                            
                            if($pmain[tenanttype] == 'R'){
                                    $tttype = "Residential";
                            }
                            if($pmain[tenanttype] == 'C'){
                                    $tttype = "Commercial";
                            }
                            if($pmain[tenanttype] == 'L'){
                                    $tttype = "Commercial Lease";
                            }
                        
                      
                            
                            Echo "<tr class='bgwhite'>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$tttype</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[city]</td>";
//                            Echo "<td>$fbldg[name]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ORDER BY NAME")or die(mysqli_error($conn));

    $contents.="Sr, Name, Address, Country, State, City, Email, Pin, Tel\n";

    $ctr = 0;
    
    
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;

        $add1 = str_replace(",", " ", "$pmain[add1]");
        $add2 = str_replace(",", " ", "$pmain[add2]");
        $add3 = str_replace(",", " ", "$pmain[add3]");


        $contents.=$ctr . ",";
        $contents.=$pmain[name] . ",";
        $contents.=$add1 . $add2 . $add3 . ",";
        $contents.=$pmain[country] . ",";
        $contents.=$pmain[state] . ",";
        $contents.=$pmain[city] . ",";
        $contents.=$pmain[email] . ",";
        $contents.=$pmain[pin] . ",";
        $contents.=$pmain[tel] . "\n";
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
